petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGMRESModifiedGramSchmidtOrthogonalization

This is the basic orthogonalization routine using modified Gram-Schmidt.

### Synopsis

    PetscErrorCode  KSPGMRESModifiedGramSchmidtOrthogonalization(KSP ksp,PetscInt it)

Collective on KSP

### Input Parameters

| ksp | - KSP object, must be associated with GMRES, FGMRES, or LGMRES Krylov method
| its | - one less then the current GMRES restart iteration, i.e. the size of the Krylov space

### Options Database Keys

-ksp_gmres_modifiedgramschmidt -Activates KSPGMRESModifiedGramSchmidtOrthogonalization()

### See Also

KSPGMRESSetOrthogonalization(), KSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESGetOrthogonalization()

### Level

intermediate

### Location

src/ksp/ksp/impls/gmres/borthog.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages